import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, MenuController } from 'ionic-angular';
import { AuthProvider } from '../../providers/auth/auth';
import { HomePage } from '../home/home';

/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-login',
  templateUrl: 'login.html',
})
export class LoginPage {
  menuController: MenuController;

  constructor(public navCtrl: NavController, public navParams: NavParams, private menuCtrl: MenuController, private authProvider: AuthProvider) {
    this.menuController = menuCtrl;
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad LoginPage');
    this.menuController.enable(false, 'sideNav');
  }

  login() {
    if (this.authProvider.login()) {
      console.log('log in successful');
      this.navCtrl.push(HomePage);
    } else {
      console.log('ERROR - not logged in');
    }
  }

}
